Subject: Re: [CFH] Remotes conversion script

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Sep 2006 01:40:26 +0200

Petr Baudis wrote:

> Dear diary, on Mon, Sep 25, 2006 at 01:04:41AM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
>> Petr Baudis wrote:
>> 
>> > Dear diary, on Mon, Sep 25, 2006 at 12:34:24AM CEST, I got a letter
>> > where Santi <[email-masked]> said that...
>> >> It could be I'm wrong (for sure, I miss something), but I see the
>> >> branches/ files like [remote] sections files with just one fetch:
>> >> 
>> >> .git/branches/git:
>> >> git://...../git.gi
>> >> 
>> >> would be:
>> >> 
>> >> [remote "git"]
>> >> url=git://...../git.git
>> >> fetch=refs/heads/master:refs/heads/git
>> > 
>> > That's basically right, the point is that with moving to remotes
>> > support, we will make each remote live in its own separate namespace,
>> 
>> Which is overkill if we fetch only from one directory.
> 
> Why?

s/directory/repository/ of course. And as of why: I'd rather have 'next',
'maint, 'html', 'man' in main namespace (with 'origin' substituting
'master') instead of remotes/origin/next etc.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git